Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Regenerated gemspec for version 0.11.99

  • Loading branch information...
commit a872dd87a51ade9dd9081ed0bad7a857b3647f5e 1 parent 35ed26a
@schof schof authored
Showing with 196 additions and 26 deletions.
  1. +196 −26 spree.gemspec
View
222 spree.gemspec
@@ -1,32 +1,202 @@
-version = File.read(File.expand_path("../SPREE_VERSION",__FILE__)).strip
+# Generated by jeweler
+# DO NOT EDIT THIS FILE DIRECTLY
+# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
+# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
- s.platform = Gem::Platform::RUBY
- s.name = 'spree'
- s.version = version
- s.summary = 'Full-stack e-commerce framework for Ruby on Rails.'
- s.description = 'Spree is an open source e-commerce framework for Ruby on Rails. Join us on the spree-user google group or in #spree on IRC'
+ s.name = %q{spree}
+ s.version = "0.11.99"
- s.files = Dir['README.md', 'lib/**/*']
- s.require_path = 'lib'
- s.requirements << 'none'
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Sean Schofield"]
+ s.date = %q{2010-10-11}
+ s.default_executable = %q{spree}
+ s.description = %q{The most flexible commerce platform available - designed from the ground up to be as open and extensible as possible.}
+ s.email = %q{sean@railsdog.com}
+ s.executables = ["spree"]
+ s.extra_rdoc_files = [
+ "README.md"
+ ]
+ s.files = [
+ "CHANGELOG",
+ "INSTALL",
+ "README.md",
+ "Rakefile",
+ "config/database.yml",
+ "db/schema.rb",
+ "features/checkout.feature",
+ "features/create_admin_user.feature",
+ "features/search.feature",
+ "features/step_definitions/error_steps.rb",
+ "features/step_definitions/model_steps.rb",
+ "features/step_definitions/pickle_steps.rb",
+ "features/step_definitions/role_steps.rb",
+ "features/step_definitions/session_steps.rb",
+ "features/step_definitions/user_steps.rb",
+ "features/step_definitions/web_steps.rb",
+ "features/support/create_admin_user.rb",
+ "features/support/env.rb",
+ "features/support/paths.rb",
+ "features/support/pickle.rb",
+ "features/work_with_cart.feature",
+ "lib/spree.rb"
+ ]
+ s.homepage = %q{http://github.com/railsdog/spree}
+ s.rdoc_options = ["--charset=UTF-8", "--exclude", "app", "--exclude", "bin", "--exclude", "config", "--exclude", "db", "--exclude", "features", "--exclude", "lib", "--exclude", "log", "--exclude", "pkg", "--exclude", "public", "--exclude", "script", "--exclude", "test", "--exclude", "tmp", "--exclude", "vendor"]
+ s.require_paths = ["lib"]
+ s.rubyforge_project = %q{spree}
+ s.rubygems_version = %q{1.3.7}
+ s.summary = %q{Open Source E-Commerce for Ruby on Rails}
+ s.test_files = [
+ "test/factories/address_factory.rb",
+ "test/factories/adjustments_factory.rb",
+ "test/factories/checkout_factory.rb",
+ "test/factories/country_factory.rb",
+ "test/factories/coupon_factory.rb",
+ "test/factories/creditcard_factory.rb",
+ "test/factories/inventory_unit_factory.rb",
+ "test/factories/line_item_factory.rb",
+ "test/factories/options_factory.rb",
+ "test/factories/order_factory.rb",
+ "test/factories/payment_factory.rb",
+ "test/factories/preference_factory.rb",
+ "test/factories/product_factory.rb",
+ "test/factories/product_group_factory.rb",
+ "test/factories/role_factory.rb",
+ "test/factories/shipment_factory.rb",
+ "test/factories/shipping_category_factory.rb",
+ "test/factories/shipping_method_factory.rb",
+ "test/factories/tax_category_factory.rb",
+ "test/factories/tax_rate_factory.rb",
+ "test/factories/taxon_factory.rb",
+ "test/factories/taxonomy_factory.rb",
+ "test/factories/user_factory.rb",
+ "test/factories/variant_factory.rb",
+ "test/factories/zone_factory.rb",
+ "test/functional/admin/adjustments_controller_test.rb",
+ "test/functional/admin/checkouts_controller_test.rb",
+ "test/functional/admin/configurations_controller_test.rb",
+ "test/functional/admin/line_items_controller_test.rb",
+ "test/functional/admin/payments_controller_test.rb",
+ "test/functional/admin/product_groups_controller_test.rb",
+ "test/functional/admin/products_controller_test.rb",
+ "test/functional/admin/reports_controller_test.rb",
+ "test/functional/admin/return_authorizations_controller_test.rb",
+ "test/functional/admin/shipments_controller_test.rb",
+ "test/functional/calculators_controller_test.rb",
+ "test/functional/checkouts_controller_test.rb",
+ "test/functional/line_items_controller_test.rb",
+ "test/functional/products_controller_test.rb",
+ "test/functional/users_controller_test.rb",
+ "test/integration/checkout_test.rb",
+ "test/integration/searching_test.rb",
+ "test/shoulda_macros/should_redirect.rb",
+ "test/test_helper.rb",
+ "test/unit/address_test.rb",
+ "test/unit/adjustment_test.rb",
+ "test/unit/charge_test.rb",
+ "test/unit/checkout_test.rb",
+ "test/unit/country_test.rb",
+ "test/unit/coupon_test.rb",
+ "test/unit/credit_test.rb",
+ "test/unit/creditcard_payment_test.rb",
+ "test/unit/creditcard_test.rb",
+ "test/unit/factories_test.rb",
+ "test/unit/flat_percent_item_total_test.rb",
+ "test/unit/flat_rate_calculators_test.rb",
+ "test/unit/flexi_rate_calculator_test.rb",
+ "test/unit/has_calculator_test.rb",
+ "test/unit/helpers/admin/adjustments_helper_test.rb",
+ "test/unit/helpers/admin/credits_helper_test.rb",
+ "test/unit/helpers/admin/return_authorizations_helper_test.rb",
+ "test/unit/helpers/calculators_helper_test.rb",
+ "test/unit/helpers/products_helper_test.rb",
+ "test/unit/helpers/spree/base_helper_test.rb",
+ "test/unit/inventory_unit_test.rb",
+ "test/unit/line_item_test.rb",
+ "test/unit/order_mailer_test.rb",
+ "test/unit/order_state_test.rb",
+ "test/unit/order_test.rb",
+ "test/unit/payment_test.rb",
+ "test/unit/per_item_calculator_test.rb",
+ "test/unit/preference_definition_test.rb",
+ "test/unit/preference_test.rb",
+ "test/unit/product_group_test.rb",
+ "test/unit/product_scope_test.rb",
+ "test/unit/product_test.rb",
+ "test/unit/return_authorization_test.rb",
+ "test/unit/sales_tax_calculator_test.rb",
+ "test/unit/shipment_test.rb",
+ "test/unit/shipping_method_test.rb",
+ "test/unit/state_event_test.rb",
+ "test/unit/state_test.rb",
+ "test/unit/tax_rate_test.rb",
+ "test/unit/variant_test.rb",
+ "test/unit/vat_calculator_test.rb"
+ ]
- s.required_ruby_version = '>= 1.8.7'
- s.required_rubygems_version = ">= 1.3.6"
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 3
- s.author = 'Sean Schofield'
- s.email = 'sean@railsdog.com'
- s.homepage = 'http://spreecommerce.com'
- s.rubyforge_project = 'spree'
-
- #s.bindir = 'bin'
- #s.executables = ['spree']
- #s.default_executable = 'spree'
-
- s.add_dependency('spree_core', version)
- s.add_dependency('spree_auth', version)
- s.add_dependency('spree_api', version)
- s.add_dependency('spree_dash', version)
- s.add_dependency('spree_sample', version)
- s.add_dependency('spree_promo', version)
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<rake>, [">= 0.7.1"])
+ s.add_runtime_dependency(%q<rails>, ["= 2.3.8"])
+ s.add_runtime_dependency(%q<rack>, [">= 1.1.0"])
+ s.add_runtime_dependency(%q<highline>, ["= 1.5.1"])
+ s.add_runtime_dependency(%q<authlogic>, ["= 2.1.3"])
+ s.add_runtime_dependency(%q<authlogic-oid>, ["= 1.0.4"])
+ s.add_runtime_dependency(%q<activemerchant>, ["= 1.5.1"])
+ s.add_runtime_dependency(%q<activerecord-tableless>, ["= 0.1.0"])
+ s.add_runtime_dependency(%q<less>, ["= 1.2.20"])
+ s.add_runtime_dependency(%q<stringex>, ["= 1.0.3"])
+ s.add_runtime_dependency(%q<chronic>, ["= 0.2.3"])
+ s.add_runtime_dependency(%q<whenever>, ["= 0.3.7"])
+ s.add_runtime_dependency(%q<searchlogic>, ["= 2.3.5"])
+ s.add_runtime_dependency(%q<will_paginate>, ["= 2.3.14"])
+ s.add_runtime_dependency(%q<state_machine>, ["= 0.9.2"])
+ s.add_runtime_dependency(%q<faker>, ["= 0.3.1"])
+ s.add_runtime_dependency(%q<paperclip>, ["= 2.3.1.1"])
+ s.add_runtime_dependency(%q<ruby-openid>, [">= 2.0.4"])
+ else
+ s.add_dependency(%q<rake>, [">= 0.7.1"])
+ s.add_dependency(%q<rails>, ["= 2.3.8"])
+ s.add_dependency(%q<rack>, [">= 1.1.0"])
+ s.add_dependency(%q<highline>, ["= 1.5.1"])
+ s.add_dependency(%q<authlogic>, ["= 2.1.3"])
+ s.add_dependency(%q<authlogic-oid>, ["= 1.0.4"])
+ s.add_dependency(%q<activemerchant>, ["= 1.5.1"])
+ s.add_dependency(%q<activerecord-tableless>, ["= 0.1.0"])
+ s.add_dependency(%q<less>, ["= 1.2.20"])
+ s.add_dependency(%q<stringex>, ["= 1.0.3"])
+ s.add_dependency(%q<chronic>, ["= 0.2.3"])
+ s.add_dependency(%q<whenever>, ["= 0.3.7"])
+ s.add_dependency(%q<searchlogic>, ["= 2.3.5"])
+ s.add_dependency(%q<will_paginate>, ["= 2.3.14"])
+ s.add_dependency(%q<state_machine>, ["= 0.9.2"])
+ s.add_dependency(%q<faker>, ["= 0.3.1"])
+ s.add_dependency(%q<paperclip>, ["= 2.3.1.1"])
+ s.add_dependency(%q<ruby-openid>, [">= 2.0.4"])
+ end
+ else
+ s.add_dependency(%q<rake>, [">= 0.7.1"])
+ s.add_dependency(%q<rails>, ["= 2.3.8"])
+ s.add_dependency(%q<rack>, [">= 1.1.0"])
+ s.add_dependency(%q<highline>, ["= 1.5.1"])
+ s.add_dependency(%q<authlogic>, ["= 2.1.3"])
+ s.add_dependency(%q<authlogic-oid>, ["= 1.0.4"])
+ s.add_dependency(%q<activemerchant>, ["= 1.5.1"])
+ s.add_dependency(%q<activerecord-tableless>, ["= 0.1.0"])
+ s.add_dependency(%q<less>, ["= 1.2.20"])
+ s.add_dependency(%q<stringex>, ["= 1.0.3"])
+ s.add_dependency(%q<chronic>, ["= 0.2.3"])
+ s.add_dependency(%q<whenever>, ["= 0.3.7"])
+ s.add_dependency(%q<searchlogic>, ["= 2.3.5"])
+ s.add_dependency(%q<will_paginate>, ["= 2.3.14"])
+ s.add_dependency(%q<state_machine>, ["= 0.9.2"])
+ s.add_dependency(%q<faker>, ["= 0.3.1"])
+ s.add_dependency(%q<paperclip>, ["= 2.3.1.1"])
+ s.add_dependency(%q<ruby-openid>, [">= 2.0.4"])
+ end
end
+
Please sign in to comment.
Something went wrong with that request. Please try again.